## com.google.gwt.event.logical.shared
Interface HasValueChangeHandlers<I>

Type Parameters:
  `I` - the value about to be changed

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasValue<T>

All Known Implementing Classes:
  CheckBox, DateBox, DatePicker, PasswordTextBox, RadioButton, SuggestBox, TextArea, TextBox, TextBoxBase

    public interface HasValueChangeHandlers<I>

extends HasHandlers

A widget that implements this interface is a public source of `ValueChangeEvent` events.

Method Summary
`HandlerRegistration` | `addValueChangeHandler(ValueChangeHandler<I> handler)` Adds a `ValueChangeEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addValueChangeHandler

    HandlerRegistration addValueChangeHandler(ValueChangeHandler<I> handler)

  Adds a `ValueChangeEvent` handler.

  Parameters:
    `handler` - the handler
  Returns:
    the registration for the event